Bug 443396 - Disk mount applet shows useless empty error message on failed unmount
Disk mount applet shows useless empty error message on failed unmount
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-applets (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-21 07:03 EDT by Hans Ulrich Niedermann
Modified: 2009-07-14 12:17 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:17:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans Ulrich Niedermann 2008-04-21 07:03:04 EDT
Description of problem:

  When trying to unmount a filesystem via the disk mount applet
  while the filesystem is still in use, gnome-mount displays a useful
  error message:

    +---[]-----------------------------+
    | Cannot unmount volume            |
    |                                  |
    | An application is preventing the |
    | volume 'foobar' from being       |
    | unmounted.                       |
    |                           [ OK ] |
    +----------------------------------+

  It comes from gnome-mount and has no window title, but at
  least it shows some kind-of informative text.

  After the user clicks [OK], /usr/libexec/drivemount_applet2
  shows this useless error dialog:

  +-[Unmo]-+
  |        |
  |    [OK]|
  +--------+

  xwininfo tells that the title should be "Unmount Error".

Version-Release number of selected component (if applicable):

  gnome-applets-2.22.1-1.fc9.i386

How reproducible:

  always

Steps to Reproduce:
1. Insert any hotpluggable device with a filesystem.
2. Wait for hal/gnome-mount to work their magic and mount the FS.
3. Open terminal window and "cd /media/proper-dir" to simulate the app.
4. Click "Unmount foo" in the disk drive mounter applet.
  
Actual results:

  +-[Unmo]-+
  |        |
  |    [OK]|
  +--------+

Expected results:

  Either a useful error message or none at all, as gnome-mount has already
  popped up one.

Additional info:

  The useless empty error dialog does NOT pop up when trying to unmount the
  filesystem from the Gnome file manager thingie (is it still called
  nautilus?) or by running "gnome-mount -u -d /dev/sdb1" from a terminal.
  This makes me think the "Disk Mounter" applet is the culprit.

  Oh, and why does the "*Disk* Mounter 2.22.1" (About dialog) correspond to
  the /usr/libexec/*drive*mount_applet2 executable (emphasis mine)? That is
  confusing, to say the least.
Comment 1 Matthias Clasen 2008-04-21 13:46:12 EDT
Upstream bug is http://bugzilla.gnome.org/show_bug.cgi?id=511139
Comment 2 Bug Zapper 2008-05-14 05:50:46 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-06-09 20:19:34 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 12:17:57 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.